- updated to 19.04.1 auto/th/ka5-libkgapi-19.04.1-1
authorWitold Filipczyk <witekfl@poczta.onet.pl>
Mon, 13 May 2019 09:22:59 +0000 (11:22 +0200)
committerWitold Filipczyk <witekfl@poczta.onet.pl>
Mon, 13 May 2019 09:22:59 +0000 (11:22 +0200)
- packaged docs
- macro kframever

ka5-libkgapi.spec

index f4e7271f6c44e871dad349912c1de4f4caa944dd..d6f564df2110a4008ba600667bd13774f95179c2 100644 (file)
@@ -1,14 +1,15 @@
-%define                kdeappsver      18.12.1
+%define                kdeappsver      19.04.1
+%define                kframever       5.56.0
 %define                qtver           5.9.0
 %define                kaname          libkgapi
 Summary:       libkgapi
 Name:          ka5-%{kaname}
 %define                qtver           5.9.0
 %define                kaname          libkgapi
 Summary:       libkgapi
 Name:          ka5-%{kaname}
-Version:       18.12.1
+Version:       19.04.1
 Release:       1
 License:       GPL v2+/LGPL v2.1+
 Group:         X11/Libraries
 Source0:       http://download.kde.org/stable/applications/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
 Release:       1
 License:       GPL v2+/LGPL v2.1+
 Group:         X11/Libraries
 Source0:       http://download.kde.org/stable/applications/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
-# Source0-md5: 4c1586446861dce28820711ae8ecaa7e
+# Source0-md5: d786bbb44bd559a97d3c8ac823b2db07
 URL:           http://www.kde.org/
 BuildRequires: Qt5Core-devel >= %{qtver}
 BuildRequires: Qt5Gui-devel >= 5.11.1
 URL:           http://www.kde.org/
 BuildRequires: Qt5Core-devel >= %{qtver}
 BuildRequires: Qt5Gui-devel >= 5.11.1
@@ -27,10 +28,11 @@ BuildRequires:      cyrus-sasl-devel
 BuildRequires: gettext-devel
 BuildRequires: ka5-kcalcore-devel >= %{kdeappsver}
 BuildRequires: ka5-kcontacts-devel >= %{kdeappsver}
 BuildRequires: gettext-devel
 BuildRequires: ka5-kcalcore-devel >= %{kdeappsver}
 BuildRequires: ka5-kcontacts-devel >= %{kdeappsver}
-BuildRequires: kf5-extra-cmake-modules >= 5.53.0
-BuildRequires: kf5-kio-devel >= 5.51.0
-BuildRequires: kf5-kwallet-devel >= 5.51.0
-BuildRequires: kf5-kwindowsystem-devel >= 5.51.0
+BuildRequires: kf5-extra-cmake-modules >= %{kframever}
+BuildRequires: kf5-kio-devel >= %{kframever}
+BuildRequires: kf5-kwallet-devel >= %{kframever}
+BuildRequires: kf5-kwindowsystem-devel >= %{kframever}
+BuildRequires: ninja
 BuildRequires: qt5-build >= %{qtver}
 BuildRequires: rpmbuild(macros) >= 1.164
 BuildRequires: shared-mime-info
 BuildRequires: qt5-build >= %{qtver}
 BuildRequires: rpmbuild(macros) >= 1.164
 BuildRequires: shared-mime-info
@@ -60,15 +62,15 @@ Pliki nagłówkowe dla programistów używających %{kaname}.
 %build
 install -d build
 cd build
 %build
 install -d build
 cd build
-%cmake \
+%cmake -G Ninja \
+       -DHTML_INSTALL_DIR=%{_kdedocdir} \
        -DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
        ..
        -DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
        ..
-%{__make}
+%ninja_build
 
 %install
 rm -rf $RPM_BUILD_ROOT
 
 %install
 rm -rf $RPM_BUILD_ROOT
-%{__make} -C build install \
-       DESTDIR=$RPM_BUILD_ROOT
+%ninja_install -C build
 
 %find_lang %{kaname}_qt --with-qm --all-name --with-kde
 
 
 %find_lang %{kaname}_qt --with-qm --all-name --with-kde
 
This page took 0.18142 seconds and 4 git commands to generate.